﻿namespace SampleEFCore8CodeMag;

public class Customer
{
    public int CustomerId { get; set; }
    public PersonName Name { get; set; } //can't be nullable if you use ComplexProperty
    public DateOnly FirstPurchase { get; set; }
}

public class ShipLabel
{
    public int Id { get; set; }
    public PersonName Name { get; set; } //can't be nullable if you use ComplexProperty
}

//PersonName as readonly record struct with positional parameters
public readonly record struct PersonName(string FirstName, string LastName);
